Click or drag to resize

AngularDimensionGet3dPoints Method

Get locations of dimension's 3d points

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool Get3dPoints(
	out Point3d centerpoint,
	out Point3d defpoint1,
	out Point3d defpoint2,
	out Point3d arrowpoint1,
	out Point3d arrowpoint2,
	out Point3d dimlinepoint,
	out Point3d textpoint
)

Parameters

centerpoint
Type: Rhino.GeometryPoint3d

[Missing <param name="centerpoint"/> documentation for "M:Rhino.Geometry.AngularDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

defpoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="defpoint1"/> documentation for "M:Rhino.Geometry.AngularDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

defpoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="defpoint2"/> documentation for "M:Rhino.Geometry.AngularDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

arrowpoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="arrowpoint1"/> documentation for "M:Rhino.Geometry.AngularDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

arrowpoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="arrowpoint2"/> documentation for "M:Rhino.Geometry.AngularDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

dimlinepoint
Type: Rhino.GeometryPoint3d

[Missing <param name="dimlinepoint"/> documentation for "M:Rhino.Geometry.AngularDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

textpoint
Type: Rhino.GeometryPoint3d

[Missing <param name="textpoint"/> documentation for "M:Rhino.Geometry.AngularDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Rhino.Geometry.AngularDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

Version Information

Rhino for Windows

Supported in: 6.1 BETA
See Also